Bug 11993 - Untranslatable confirm popup in request.tt
Summary: Untranslatable confirm popup in request.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-25 09:23 UTC by paxed
Modified: 2015-06-04 23:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11993 - Untranslatable confirm popup in request.tt (4.05 KB, patch)
2014-03-27 04:07 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11993 - Untranslatable confirm popup in request.tt (4.55 KB, patch)
2014-04-03 14:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11993 - Untranslatable confirm popup in request.tt (4.57 KB, patch)
2014-04-03 14:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-03-25 09:23:11 UTC
request.tt has the following untranslatable confirm popup: 
"Are you sure you want to delete this hold?"
Comment 1 Bernardo Gonzalez Kriegel 2014-03-27 04:07:13 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-04-03 14:25:34 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2014-04-03 14:33:56 UTC
Thank you Owen!
First patch can be obsoleted?
Comment 4 Owen Leonard 2014-04-03 14:36:06 UTC
Comment on attachment 26620 [details] [review]
Bug 11993 - Untranslatable confirm popup in request.tt

Sorry, I thought git-bz had marked the old patch as obsolete.
Comment 5 Jonathan Druart 2014-04-03 14:59:28 UTC
Created attachment 26797 [details] [review]
Bug 11993 - Untranslatable confirm popup in request.tt

This patch makes confirm popup text translatable. It implements a
similar function as used on OPAC deleteConfirm() and a JS var message.

This funcion, or variants, can also be found on other files on intranet,
I think that the only valid places are staff-global.js and help-top.inc

Redefinitions of this function:
prog/en/modules/serials/subscription-frequencies.tt:6
prog/en/modules/tools/marc_modification_templates.tt:158
prog/en/modules/virtualshelves/shelves.tt:92

Last case is a little different

To test:

1) Confirm that the "cancel hold" link correctly prompts for
   confirmation:
   a) Place an item-level hold on a title.
   b) Check in the item and confirm the hold.
   c) Return to the place hold screen for that title and submit another
      patron to place a hold for.
   d) On the place hold screen for that patron, look at the table of
      items. There should be a "cancel hold" link next to the item for
      which the hold was confirmed in step (b).
   e) Click "cancel hold."  You should see a confirmation message.
      Cancelling this dialog should cancel the operation. Confirming it
      should cancel the hold.

2) Check the string is not present on staff PO file
3) Apply the patch
4) Update translation files (cd misc/translator; perl translate update
   xx-YY)
5) Verify the string is now present

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Galen Charlton 2014-04-03 15:33:59 UTC
Pushed to master.  Thanks, Bernardo!
Comment 7 Fridolin SOMERS 2014-06-19 14:37:26 UTC
Pushed to 3.14.x, will be in 3.14.08